﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataTree_Images
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {        
        public MainWindow()
        {
            InitializeComponent();

            XamDataTree tree = new XamDataTree();
        }

    }

    public class BoolToImageConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            XamDataTreeNodeDataContext context = value as XamDataTreeNodeDataContext;

            if (context != null)
            {
                bool isActive = (context.Node.Data as Model).IsActive;

                if (!isActive)
                {
                    return "Images\\clear.gif";
                }

                if (context.Node.Manager.ParentNode == null)
                {
                    return "Images\\small4.png";
                }
                else
                {                    
                    return "Images\\small1.png";
                }
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
