﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataTree_Images
{
    public class ViewModel
    {
        public ObservableCollection<Model> GetData { get { return GenerateData(); } }
        private ObservableCollection<Model> GenerateData()
        {
            ObservableCollection<Model>  data = new ObservableCollection<Model>();
            ObservableCollection<Model>  children = new ObservableCollection<Model>();

            children.Add(new Model { Id = 10, Name = "FirstChild", IsActive = true });
            children.Add(new Model { Id = 20, Name = "SecondChild", IsActive = false });
            children.Add(new Model { Id = 30, Name = "ThirdChild", IsActive = true });

            data.Add(new Model { Id = 1, Name = "FirstParent", IsActive = true, Children = children });
            data.Add(new Model { Id = 2, Name = "SecondParent", IsActive = false, Children = children });
            data.Add(new Model { Id = 3, Name = "ThirdParent", IsActive = true, Children = children });

            return data;
        }
    }
}
